org.apache.lucene.queryParser.standard.config

## Interface DefaultPhraseSlopAttribute

- All Superinterfaces:
    org.apache.lucene.util.Attribute
  All Known Implementing Classes:
    DefaultPhraseSlopAttributeImpl

      public interface DefaultPhraseSlopAttribute
      extends org.apache.lucene.util.Attribute

  This attribute is used by `PhraseSlopQueryNodeProcessor` processor and must be defined in the `QueryConfigHandler`. This attribute tells the processor what is the default phrase slop when no slop is defined in a phrase.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getDefaultPhraseSlop()`
    `void` | `setDefaultPhraseSlop(int defaultPhraseSlop)`

- - ### Method Detail

    - #### setDefaultPhraseSlop

          void setDefaultPhraseSlop(int defaultPhraseSlop)

    - #### getDefaultPhraseSlop

          int getDefaultPhraseSlop()

Copyright © 2000-2016 Apache Software Foundation. All Rights Reserved.